function [anovaTable,avgGrand,UTotal]=anova_2k(numFactors,numBlocks,numRepl,doeMatrix)
    
    a=2; b=1; c=1; d=1; e=1; % 2 levels for all factors 
    if numFactors>1
        b=2; 
        if numFactors>2
            c=2;  
            if numFactors>3
                d=2;  
                if numFactors>4
                    e=2;
                end
            end
        end
    end
    m=numBlocks; n=numRepl;
    numRuns=m*n*(2^numFactors); % Number of experiment runs
    
    A=doeMatrix(:,1); % Levels of factor A
    B=doeMatrix(:,2); % Levels of factor B
    C=doeMatrix(:,3); % Levels of factor C
    D=doeMatrix(:,4); % Levels of factor D
    E=doeMatrix(:,5); % Levels of factor E
    Block=doeMatrix(:,6); % Levels of block
    y=doeMatrix(:,7); % Measured values of response variable y
    
    sumGrand=sum(y(:,1)); % Grand sum of y's
    avgGrandSS=(sumGrand^2)/numRuns; % Grand average SS of y's
    avgGrand=sumGrand/numRuns; % Grand average of y's
    
    sumALow=0;  sumBLow=0;  sumCLow=0; sumDLow=0; sumELow=0;
    sumAHigh=0; sumBHigh=0; sumCHigh=0; sumDHigh=0; sumEHigh=0;
    
    sumALowBLow=0; sumALowBHigh=0; sumAHighBLow=0; sumAHighBHigh=0;  
    sumALowCLow=0; sumALowCHigh=0; sumAHighCLow=0; sumAHighCHigh=0;
    sumALowDLow=0; sumALowDHigh=0; sumAHighDLow=0; sumAHighDHigh=0;
    sumALowELow=0; sumALowEHigh=0; sumAHighELow=0; sumAHighEHigh=0;
    sumBLowCLow=0; sumBLowCHigh=0; sumBHighCLow=0; sumBHighCHigh=0;
    sumBLowDLow=0; sumBLowDHigh=0; sumBHighDLow=0; sumBHighDHigh=0;
    sumBLowELow=0; sumBLowEHigh=0; sumBHighELow=0; sumBHighEHigh=0;
    sumCLowDLow=0; sumCLowDHigh=0; sumCHighDLow=0; sumCHighDHigh=0;
    sumCLowELow=0; sumCLowEHigh=0; sumCHighELow=0; sumCHighEHigh=0;
    sumDLowELow=0; sumDLowEHigh=0; sumDHighELow=0; sumDHighEHigh=0;
    
    sumALowBlock1=0; sumALowBlock2=0; sumALowBlock3=0; sumALowBlock4=0;
    sumALowBlock5=0; 
    sumAHighBlock1=0; sumAHighBlock2=0; sumAHighBlock3=0;
    sumAHighBlock4=0; sumAHighBlock5=0;
    
    sumALowBLowBlock1=0; sumALowBLowBlock2=0; sumALowBLowBlock3=0; 
    sumALowBLowBlock4=0; sumALowBLowBlock5=0; 
    sumALowBHighBlock1=0; sumALowBHighBlock2=0; sumALowBHighBlock3=0;
    sumALowBHighBlock4=0; sumALowBHighBlock5=0;
    sumAHighBLowBlock1=0; sumAHighBLowBlock2=0; sumAHighBLowBlock3=0;
    sumAHighBLowBlock4=0; sumAHighBLowBlock5=0;
    sumAHighBHighBlock1=0; sumAHighBHighBlock2=0; sumAHighBHighBlock3=0;
    sumAHighBHighBlock4=0; sumAHighBHighBlock5=0;
    
    sumALowBLowCLowBlock1=0; sumALowBLowCLowBlock2=0; 
    sumALowBLowCLowBlock3=0; sumALowBLowCLowBlock4=0;
    sumALowBLowCLowBlock5=0;
    sumALowBLowCHighBlock1=0; sumALowBLowCHighBlock2=0; 
    sumALowBLowCHighBlock3=0; sumALowBLowCHighBlock4=0;
    sumALowBLowCHighBlock5=0;
    sumALowBHighCLowBlock1=0; sumALowBHighCLowBlock2=0;
    sumALowBHighCLowBlock3=0; sumALowBHighCLowBlock4=0;
    sumALowBHighCLowBlock5=0;
    sumALowBHighCHighBlock1=0; sumALowBHighCHighBlock2=0;
    sumALowBHighCHighBlock3=0; sumALowBHighCHighBlock4=0;
    sumALowBHighCHighBlock5=0;
    sumAHighBLowCLowBlock1=0; sumAHighBLowCLowBlock2=0;
    sumAHighBLowCLowBlock3=0; sumAHighBLowCLowBlock4=0;
    sumAHighBLowCLowBlock5=0;
    sumAHighBLowCHighBlock1=0; sumAHighBLowCHighBlock2=0;
    sumAHighBLowCHighBlock3=0; sumAHighBLowCHighBlock4=0;
    sumAHighBLowCHighBlock5=0;
    sumAHighBHighCLowBlock1=0; sumAHighBHighCLowBlock2=0;
    sumAHighBHighCLowBlock3=0; sumAHighBHighCLowBlock4=0;
    sumAHighBHighCLowBlock5=0;
    sumAHighBHighCHighBlock1=0; sumAHighBHighCHighBlock2=0;
    sumAHighBHighCHighBlock3=0; sumAHighBHighCHighBlock4=0;
    sumAHighBHighCHighBlock5=0;
    
    sumALowBLowCLowDLowBlock1=0; sumALowBLowCLowDLowBlock2=0;
    sumALowBLowCLowDLowBlock3=0; sumALowBLowCLowDLowBlock4=0;
    sumALowBLowCLowDLowBlock5=0;
    sumALowBLowCLowDHighBlock1=0; sumALowBLowCLowDHighBlock2=0;
    sumALowBLowCLowDHighBlock3=0; sumALowBLowCLowDHighBlock4=0;
    sumALowBLowCLowDHighBlock5=0;
    sumALowBLowCHighDLowBlock1=0; sumALowBLowCHighDLowBlock2=0;
    sumALowBLowCHighDLowBlock3=0; sumALowBLowCHighDLowBlock4=0;
    sumALowBLowCHighDLowBlock5=0;
    sumALowBLowCHighDHighBlock1=0; sumALowBLowCHighDHighBlock2=0;
    sumALowBLowCHighDHighBlock3=0; sumALowBLowCHighDHighBlock4=0;
    sumALowBLowCHighDHighBlock5=0;
    sumALowBHighCLowDLowBlock1=0; sumALowBHighCLowDLowBlock2=0;
    sumALowBHighCLowDLowBlock3=0; sumALowBHighCLowDLowBlock4=0;
    sumALowBHighCLowDLowBlock5=0;
    sumALowBHighCLowDHighBlock1=0; sumALowBHighCLowDHighBlock2=0;
    sumALowBHighCLowDHighBlock3=0; sumALowBHighCLowDHighBlock4=0;
    sumALowBHighCLowDHighBlock5=0;
    sumALowBHighCHighDLowBlock1=0; sumALowBHighCHighDLowBlock2=0;
    sumALowBHighCHighDLowBlock3=0; sumALowBHighCHighDLowBlock4=0;
    sumALowBHighCHighDLowBlock5=0;
    sumALowBHighCHighDHighBlock1=0; sumALowBHighCHighDHighBlock2=0;
    sumALowBHighCHighDHighBlock3=0; sumALowBHighCHighDHighBlock4=0;
    sumALowBHighCHighDHighBlock5=0;
    sumAHighBLowCLowDLowBlock1=0; sumAHighBLowCLowDLowBlock2=0;
    sumAHighBLowCLowDLowBlock3=0; sumAHighBLowCLowDLowBlock4=0;
    sumAHighBLowCLowDLowBlock5=0;
    sumAHighBLowCLowDHighBlock1=0; sumAHighBLowCLowDHighBlock2=0;
    sumAHighBLowCLowDHighBlock3=0; sumAHighBLowCLowDHighBlock4=0;
    sumAHighBLowCLowDHighBlock5=0;
    sumAHighBLowCHighDLowBlock1=0; sumAHighBLowCHighDLowBlock2=0;
    sumAHighBLowCHighDLowBlock3=0; sumAHighBLowCHighDLowBlock4=0;
    sumAHighBLowCHighDLowBlock5=0;
    sumAHighBLowCHighDHighBlock1=0; sumAHighBLowCHighDHighBlock2=0;
    sumAHighBLowCHighDHighBlock3=0; sumAHighBLowCHighDHighBlock4=0;
    sumAHighBLowCHighDHighBlock5=0;
    sumAHighBHighCLowDLowBlock1=0; sumAHighBHighCLowDLowBlock2=0;
    sumAHighBHighCLowDLowBlock3=0; sumAHighBHighCLowDLowBlock4=0;
    sumAHighBHighCLowDLowBlock5=0;
    sumAHighBHighCLowDHighBlock1=0; sumAHighBHighCLowDHighBlock2=0;
    sumAHighBHighCLowDHighBlock3=0; sumAHighBHighCLowDHighBlock4=0;
    sumAHighBHighCLowDHighBlock5=0;
    sumAHighBHighCHighDLowBlock1=0; sumAHighBHighCHighDLowBlock2=0;
    sumAHighBHighCHighDLowBlock3=0; sumAHighBHighCHighDLowBlock4=0;
    sumAHighBHighCHighDLowBlock5=0;
    sumAHighBHighCHighDHighBlock1=0; sumAHighBHighCHighDHighBlock2=0;
    sumAHighBHighCHighDHighBlock3=0; sumAHighBHighCHighDHighBlock4=0;
    sumAHighBHighCHighDHighBlock5=0;
    
    sumALowBLowCLowDLowELowBlock1=0; sumALowBLowCLowDLowELowBlock2=0;
    sumALowBLowCLowDLowELowBlock3=0; sumALowBLowCLowDLowELowBlock4=0;
    sumALowBLowCLowDLowELowBlock5=0;
    sumALowBLowCLowDLowEHighBlock1=0; sumALowBLowCLowDLowEHighBlock2=0;
    sumALowBLowCLowDLowEHighBlock3=0; sumALowBLowCLowDLowEHighBlock4=0;
    sumALowBLowCLowDLowEHighBlock5=0;    
    sumALowBLowCLowDHighELowBlock1=0; sumALowBLowCLowDHighELowBlock2=0;
    sumALowBLowCLowDHighELowBlock3=0; sumALowBLowCLowDHighELowBlock4=0;
    sumALowBLowCLowDHighELowBlock5=0;
    sumALowBLowCLowDHighEHighBlock1=0; sumALowBLowCLowDHighEHighBlock2=0;
    sumALowBLowCLowDHighEHighBlock3=0; sumALowBLowCLowDHighEHighBlock4=0;
    sumALowBLowCLowDHighEHighBlock5=0;    
    sumALowBLowCHighDLowELowBlock1=0; sumALowBLowCHighDLowELowBlock2=0;
    sumALowBLowCHighDLowELowBlock3=0; sumALowBLowCHighDLowELowBlock4=0;
    sumALowBLowCHighDLowELowBlock5=0;
    sumALowBLowCHighDLowEHighBlock1=0; sumALowBLowCHighDLowEHighBlock2=0;
    sumALowBLowCHighDLowEHighBlock3=0; sumALowBLowCHighDLowEHighBlock4=0;
    sumALowBLowCHighDLowEHighBlock5=0;    
    sumALowBLowCHighDHighELowBlock1=0; sumALowBLowCHighDHighELowBlock2=0;
    sumALowBLowCHighDHighELowBlock3=0; sumALowBLowCHighDHighELowBlock4=0;
    sumALowBLowCHighDHighELowBlock5=0;
    sumALowBLowCHighDHighEHighBlock1=0; sumALowBLowCHighDHighEHighBlock2=0;
    sumALowBLowCHighDHighEHighBlock3=0; sumALowBLowCHighDHighEHighBlock4=0;
    sumALowBLowCHighDHighEHighBlock5=0;    
    sumALowBHighCLowDLowELowBlock1=0; sumALowBHighCLowDLowELowBlock2=0;
    sumALowBHighCLowDLowELowBlock3=0; sumALowBHighCLowDLowELowBlock4=0;
    sumALowBHighCLowDLowELowBlock5=0;
    sumALowBHighCLowDLowEHighBlock1=0; sumALowBHighCLowDLowEHighBlock2=0;
    sumALowBHighCLowDLowEHighBlock3=0; sumALowBHighCLowDLowEHighBlock4=0;
    sumALowBHighCLowDLowEHighBlock5=0;    
    sumALowBHighCLowDHighELowBlock1=0; sumALowBHighCLowDHighELowBlock2=0;
    sumALowBHighCLowDHighELowBlock3=0; sumALowBHighCLowDHighELowBlock4=0;
    sumALowBHighCLowDHighELowBlock5=0;
    sumALowBHighCLowDHighEHighBlock1=0; sumALowBHighCLowDHighEHighBlock2=0;
    sumALowBHighCLowDHighEHighBlock3=0; sumALowBHighCLowDHighEHighBlock4=0;
    sumALowBHighCLowDHighEHighBlock5=0;    
    sumALowBHighCHighDLowELowBlock1=0; sumALowBHighCHighDLowELowBlock2=0;
    sumALowBHighCHighDLowELowBlock3=0; sumALowBHighCHighDLowELowBlock4=0;
    sumALowBHighCHighDLowELowBlock5=0;
    sumALowBHighCHighDLowEHighBlock1=0; sumALowBHighCHighDLowEHighBlock2=0;
    sumALowBHighCHighDLowEHighBlock3=0; sumALowBHighCHighDLowEHighBlock4=0;
    sumALowBHighCHighDLowEHighBlock5=0;    
    sumALowBHighCHighDHighELowBlock1=0; sumALowBHighCHighDHighELowBlock2=0;
    sumALowBHighCHighDHighELowBlock3=0; sumALowBHighCHighDHighELowBlock4=0;
    sumALowBHighCHighDHighELowBlock5=0;
    sumALowBHighCHighDHighEHighBlock1=0; sumALowBHighCHighDHighEHighBlock2=0;
    sumALowBHighCHighDHighEHighBlock3=0; sumALowBHighCHighDHighEHighBlock4=0;
    sumALowBHighCHighDHighEHighBlock5=0;    
    sumAHighBLowCLowDLowELowBlock1=0; sumAHighBLowCLowDLowELowBlock2=0;
    sumAHighBLowCLowDLowELowBlock3=0; sumAHighBLowCLowDLowELowBlock4=0;
    sumAHighBLowCLowDLowELowBlock5=0;
    sumAHighBLowCLowDLowEHighBlock1=0; sumAHighBLowCLowDLowEHighBlock2=0;
    sumAHighBLowCLowDLowEHighBlock3=0; sumAHighBLowCLowDLowEHighBlock4=0;
    sumAHighBLowCLowDLowEHighBlock5=0;    
    sumAHighBLowCLowDHighELowBlock1=0; sumAHighBLowCLowDHighELowBlock2=0;
    sumAHighBLowCLowDHighELowBlock3=0; sumAHighBLowCLowDHighELowBlock4=0;
    sumAHighBLowCLowDHighELowBlock5=0;
    sumAHighBLowCLowDHighEHighBlock1=0; sumAHighBLowCLowDHighEHighBlock2=0;
    sumAHighBLowCLowDHighEHighBlock3=0; sumAHighBLowCLowDHighEHighBlock4=0;
    sumAHighBLowCLowDHighEHighBlock5=0;    
    sumAHighBLowCHighDLowELowBlock1=0; sumAHighBLowCHighDLowELowBlock2=0;
    sumAHighBLowCHighDLowELowBlock3=0; sumAHighBLowCHighDLowELowBlock4=0;
    sumAHighBLowCHighDLowELowBlock5=0;
    sumAHighBLowCHighDLowEHighBlock1=0; sumAHighBLowCHighDLowEHighBlock2=0;
    sumAHighBLowCHighDLowEHighBlock3=0; sumAHighBLowCHighDLowEHighBlock4=0;
    sumAHighBLowCHighDLowEHighBlock5=0;    
    sumAHighBLowCHighDHighELowBlock1=0; sumAHighBLowCHighDHighELowBlock2=0;
    sumAHighBLowCHighDHighELowBlock3=0; sumAHighBLowCHighDHighELowBlock4=0;
    sumAHighBLowCHighDHighELowBlock5=0;
    sumAHighBLowCHighDHighEHighBlock1=0; sumAHighBLowCHighDHighEHighBlock2=0;
    sumAHighBLowCHighDHighEHighBlock3=0; sumAHighBLowCHighDHighEHighBlock4=0;
    sumAHighBLowCHighDHighEHighBlock5=0;    
    sumAHighBHighCLowDLowELowBlock1=0; sumAHighBHighCLowDLowELowBlock2=0;
    sumAHighBHighCLowDLowELowBlock3=0; sumAHighBHighCLowDLowELowBlock4=0;
    sumAHighBHighCLowDLowELowBlock5=0;
    sumAHighBHighCLowDLowEHighBlock1=0; sumAHighBHighCLowDLowEHighBlock2=0;
    sumAHighBHighCLowDLowEHighBlock3=0; sumAHighBHighCLowDLowEHighBlock4=0;
    sumAHighBHighCLowDLowEHighBlock5=0;
    sumAHighBHighCLowDHighELowBlock1=0; sumAHighBHighCLowDHighELowBlock2=0;
    sumAHighBHighCLowDHighELowBlock3=0; sumAHighBHighCLowDHighELowBlock4=0;
    sumAHighBHighCLowDHighELowBlock5=0;
    sumAHighBHighCLowDHighEHighBlock1=0; sumAHighBHighCLowDHighEHighBlock2=0;
    sumAHighBHighCLowDHighEHighBlock3=0; sumAHighBHighCLowDHighEHighBlock4=0;
    sumAHighBHighCLowDHighEHighBlock5=0;    
    sumAHighBHighCHighDLowELowBlock1=0; sumAHighBHighCHighDLowELowBlock2=0;
    sumAHighBHighCHighDLowELowBlock3=0; sumAHighBHighCHighDLowELowBlock4=0;
    sumAHighBHighCHighDLowELowBlock5=0;
    sumAHighBHighCHighDLowEHighBlock1=0; sumAHighBHighCHighDLowEHighBlock2=0;
    sumAHighBHighCHighDLowEHighBlock3=0; sumAHighBHighCHighDLowEHighBlock4=0;
    sumAHighBHighCHighDLowEHighBlock5=0;    
    sumAHighBHighCHighDHighELowBlock1=0; sumAHighBHighCHighDHighELowBlock2=0;
    sumAHighBHighCHighDHighELowBlock3=0; sumAHighBHighCHighDHighELowBlock4=0;
    sumAHighBHighCHighDHighELowBlock5=0;
    sumAHighBHighCHighDHighEHighBlock1=0; sumAHighBHighCHighDHighEHighBlock2=0;
    sumAHighBHighCHighDHighEHighBlock3=0; sumAHighBHighCHighDHighEHighBlock4=0;
    sumAHighBHighCHighDHighEHighBlock5=0;
    
    sumBlock1=0; sumBlock2=0; sumBlock3=0; sumBlock4=0; sumBlock5=0;
    
    for i=1:numRuns
        if A(i)==-1
            sumALow=sumALow+y(i); % Sum of y's for low A
            if numFactors==1
                if Block(i)==1
                    sumALowBlock1=sumALowBlock1+y(i); % Sum of y's for low A in Block 1
                elseif Block(i)==2
                    sumALowBlock2=sumALowBlock2+y(i); % Sum of y's for low A in Block 2
                elseif Block(i)==3
                    sumALowBlock3=sumALowBlock3+y(i); % Sum of y's for low A in Block 3
                elseif Block(i)==4
                    sumALowBlock4=sumALowBlock4+y(i); % Sum of y's for low A in Block 4
                elseif Block(i)==5
                    sumALowBlock5=sumALowBlock5+y(i); % Sum of y's for low A in Block 5
                end
            end
            if numFactors>1
                if B(i)==-1
                    sumALowBLow=sumALowBLow+y(i); % Sum of y's for low A and low B
                    if numFactors==2
                        if Block(i)==1
                            sumALowBLowBlock1=sumALowBLowBlock1+y(i); % Sum of y's for low A and low B in Block 1
                        elseif Block(i)==2
                            sumALowBLowBlock2=sumALowBLowBlock2+y(i); % Sum of y's for low A and low B in Block 2
                        elseif Block(i)==3
                            sumALowBLowBlock3=sumALowBLowBlock3+y(i); % Sum of y's for low A and low B in Block 3
                        elseif Block(i)==4
                            sumALowBLowBlock4=sumALowBLowBlock4+y(i); % Sum of y's for low A and low B in Block 4
                        elseif Block(i)==5
                            sumALowBLowBlock5=sumALowBLowBlock5+y(i); % Sum of y's for low A and low B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBLowCLowBlock1=sumALowBLowCLowBlock1+y(i); % Sum of y's for low A, low B and low C in Block 1
                                elseif Block(i)==2
                                    sumALowBLowCLowBlock2=sumALowBLowCLowBlock2+y(i); % Sum of y's for low A, low B and low C in Block 2
                                elseif Block(i)==3
                                    sumALowBLowCLowBlock3=sumALowBLowCLowBlock3+y(i); % Sum of y's for low A, low B and low C in Block 3
                                elseif Block(i)==4
                                    sumALowBLowCLowBlock4=sumALowBLowCLowBlock4+y(i); % Sum of y's for low A, low B and low C in Block 4
                                elseif Block(i)==5
                                    sumALowBLowCLowBlock5=sumALowBLowCLowBlock5+y(i); % Sum of y's for low A, low B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCLowDLowBlock1=sumALowBLowCLowDLowBlock1+y(i); % Sum of y's for low A, low B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCLowDLowBlock2=sumALowBLowCLowDLowBlock2+y(i); % Sum of y's for low A, low B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCLowDLowBlock3=sumALowBLowCLowDLowBlock3+y(i); % Sum of y's for low A, low B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCLowDLowBlock4=sumALowBLowCLowDLowBlock4+y(i); % Sum of y's for low A, low B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCLowDLowBlock5=sumALowBLowCLowDLowBlock5+y(i); % Sum of y's for low A, low B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCLowDLowELowBlock1=sumALowBLowCLowDLowELowBlock1+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCLowDLowELowBlock2=sumALowBLowCLowDLowELowBlock2+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCLowDLowELowBlock3=sumALowBLowCLowDLowELowBlock3+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCLowDLowELowBlock4=sumALowBLowCLowDLowELowBlock4+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCLowDLowELowBlock5=sumALowBLowCLowDLowELowBlock5+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCLowDLowEHighBlock1=sumALowBLowCLowDLowEHighBlock1+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCLowDLowEHighBlock2=sumALowBLowCLowDLowEHighBlock2+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCLowDLowEHighBlock3=sumALowBLowCLowDLowEHighBlock3+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCLowDLowEHighBlock4=sumALowBLowCLowDLowEHighBlock4+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCLowDLowEHighBlock5=sumALowBLowCLowDLowEHighBlock5+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCLowDHighBlock1=sumALowBLowCLowDHighBlock1+y(i); % Sum of y's for low A, low B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCLowDHighBlock2=sumALowBLowCLowDHighBlock2+y(i); % Sum of y's for low A, low B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCLowDHighBlock3=sumALowBLowCLowDHighBlock3+y(i); % Sum of y's for low A, low B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCLowDHighBlock4=sumALowBLowCLowDHighBlock4+y(i); % Sum of y's for low A, low B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCLowDHighBlock5=sumALowBLowCLowDHighBlock5+y(i); % Sum of y's for low A, low B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDHighELowBlock1=sumALowBLowCLowDHighELowBlock1+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDHighELowBlock2=sumALowBLowCLowDHighELowBlock2+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDHighELowBlock3=sumALowBLowCLowDHighELowBlock3+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDHighELowBlock4=sumALowBLowCLowDHighELowBlock4+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDHighELowBlock5=sumALowBLowCLowDHighELowBlock5+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDHighEHighBlock1=sumALowBLowCLowDHighEHighBlock1+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDHighEHighBlock2=sumALowBLowCLowDHighEHighBlock2+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDHighEHighBlock3=sumALowBLowCLowDHighEHighBlock3+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDHighEHighBlock4=sumALowBLowCLowDHighEHighBlock4+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDHighEHighBlock5=sumALowBLowCLowDHighEHighBlock5+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBLowCHighBlock1=sumALowBLowCHighBlock1+y(i); % Sum of y's for low A, low B and high C in Block 1
                                elseif Block(i)==2
                                    sumALowBLowCHighBlock2=sumALowBLowCHighBlock2+y(i); % Sum of y's for low A, low B and high C in Block 2
                                elseif Block(i)==3
                                    sumALowBLowCHighBlock3=sumALowBLowCHighBlock3+y(i); % Sum of y's for low A, low B and high C in Block 3
                                elseif Block(i)==4
                                    sumALowBLowCHighBlock4=sumALowBLowCHighBlock4+y(i); % Sum of y's for low A, low B and high C in Block 4
                                elseif Block(i)==5
                                    sumALowBLowCHighBlock5=sumALowBLowCHighBlock5+y(i); % Sum of y's for low A, low B and high C in Block 5
                                end
                            end
                            if D(i)==-1
                                if numFactors==4
                                    if Block(i)==1
                                        sumALowBLowCHighDLowBlock1=sumALowBLowCHighDLowBlock1+y(i); % Sum of y's for low A, low B, high C and low D in Block 1
                                    elseif Block(i)==2
                                        sumALowBLowCHighDLowBlock2=sumALowBLowCHighDLowBlock2+y(i); % Sum of y's for low A, low B, high C and low D in Block 2
                                    elseif Block(i)==3
                                        sumALowBLowCHighDLowBlock3=sumALowBLowCHighDLowBlock3+y(i); % Sum of y's for low A, low B, high C and low D in Block 3
                                    elseif Block(i)==4
                                        sumALowBLowCHighDLowBlock4=sumALowBLowCHighDLowBlock4+y(i); % Sum of y's for low A, low B, high C and low D in Block 4
                                    elseif Block(i)==5
                                        sumALowBLowCHighDLowBlock5=sumALowBLowCHighDLowBlock5+y(i); % Sum of y's for low A, low B, high C and low D in Block 5
                                    end
                                end
                                if E(i)==-1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumALowBLowCHighDLowELowBlock1=sumALowBLowCHighDLowELowBlock1+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCHighDLowELowBlock2=sumALowBLowCHighDLowELowBlock2+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCHighDLowELowBlock3=sumALowBLowCHighDLowELowBlock3+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCHighDLowELowBlock4=sumALowBLowCHighDLowELowBlock4+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCHighDLowELowBlock5=sumALowBLowCHighDLowELowBlock5+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 5
                                        end
                                    end
                                elseif E(i)==1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumALowBLowCHighDLowEHighBlock1=sumALowBLowCHighDLowEHighBlock1+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCHighDLowEHighBlock2=sumALowBLowCHighDLowEHighBlock2+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCHighDLowEHighBlock3=sumALowBLowCHighDLowEHighBlock3+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCHighDLowEHighBlock4=sumALowBLowCHighDLowEHighBlock4+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCHighDLowEHighBlock5=sumALowBLowCHighDLowEHighBlock5+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 5
                                        end
                                    end
                                end
                            elseif D(i)==1
                                if numFactors==4
                                    if Block(i)==1
                                        sumALowBLowCHighDHighBlock1=sumALowBLowCHighDHighBlock1+y(i); % Sum of y's for low A, low B, high C and high D in Block 1
                                    elseif Block(i)==2
                                        sumALowBLowCHighDHighBlock2=sumALowBLowCHighDHighBlock2+y(i); % Sum of y's for low A, low B, high C and high D in Block 2
                                    elseif Block(i)==3
                                        sumALowBLowCHighDHighBlock3=sumALowBLowCHighDHighBlock3+y(i); % Sum of y's for low A, low B, high C and high D in Block 3
                                    elseif Block(i)==4
                                        sumALowBLowCHighDHighBlock4=sumALowBLowCHighDHighBlock4+y(i); % Sum of y's for low A, low B, high C and high D in Block 4
                                    elseif Block(i)==5
                                        sumALowBLowCHighDHighBlock5=sumALowBLowCHighDHighBlock5+y(i); % Sum of y's for low A, low B, high C and high D in Block 5
                                    end
                                end
                                if E(i)==-1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumALowBLowCHighDHighELowBlock1=sumALowBLowCHighDHighELowBlock1+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCHighDHighELowBlock2=sumALowBLowCHighDHighELowBlock2+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCHighDHighELowBlock3=sumALowBLowCHighDHighELowBlock3+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCHighDHighELowBlock4=sumALowBLowCHighDHighELowBlock4+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCHighDHighELowBlock5=sumALowBLowCHighDHighELowBlock5+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 5
                                        end
                                    end
                                elseif E(i)==1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumALowBLowCHighDHighEHighBlock1=sumALowBLowCHighDHighEHighBlock1+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCHighDHighEHighBlock2=sumALowBLowCHighDHighEHighBlock2+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCHighDHighEHighBlock3=sumALowBLowCHighDHighEHighBlock3+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCHighDHighEHighBlock4=sumALowBLowCHighDHighEHighBlock4+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCHighDHighEHighBlock5=sumALowBLowCHighDHighEHighBlock5+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 5
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==1
                    sumALowBHigh=sumALowBHigh+y(i); % Sum of y's for low A and high B
                    if numFactors==2
                        if Block(i)==1
                            sumALowBHighBlock1=sumALowBHighBlock1+y(i); % Sum of y's for low A and high B in Block 1
                        elseif Block(i)==2
                            sumALowBHighBlock2=sumALowBHighBlock2+y(i); % Sum of y's for low A and high B in Block 2
                        elseif Block(i)==3
                            sumALowBHighBlock3=sumALowBHighBlock3+y(i); % Sum of y's for low A and high B in Block 3
                        elseif Block(i)==4
                            sumALowBHighBlock4=sumALowBHighBlock4+y(i); % Sum of y's for low A and high B in Block 4
                        elseif Block(i)==5
                            sumALowBHighBlock5=sumALowBHighBlock5+y(i); % Sum of y's for low A and high B in Block 5
                        end
                    end
                    if C(i)==-1
                        if numFactors==3
                            if Block(i)==1
                                sumALowBHighCLowBlock1=sumALowBHighCLowBlock1+y(i); % Sum of y's for low A, high B and low C in Block 1
                            elseif Block(i)==2
                                sumALowBHighCLowBlock2=sumALowBHighCLowBlock2+y(i); % Sum of y's for low A, high B and low C in Block 2
                            elseif Block(i)==3
                                sumALowBHighCLowBlock3=sumALowBHighCLowBlock3+y(i); % Sum of y's for low A, high B and low C in Block 3
                            elseif Block(i)==4
                                sumALowBHighCLowBlock4=sumALowBHighCLowBlock4+y(i); % Sum of y's for low A, high B and low C in Block 4
                            elseif Block(i)==5
                                sumALowBHighCLowBlock5=sumALowBHighCLowBlock5+y(i); % Sum of y's for low A, high B and low C in Block 5
                            end
                        end
                        if D(i)==-1
                            if numFactors==4
                                if Block(i)==1
                                    sumALowBHighCLowDLowBlock1=sumALowBHighCLowDLowBlock1+y(i); % Sum of y's for low A, high B, low C and low D in Block 1
                                elseif Block(i)==2
                                    sumALowBHighCLowDLowBlock2=sumALowBHighCLowDLowBlock2+y(i); % Sum of y's for low A, high B, low C and low D in Block 2
                                elseif Block(i)==3
                                    sumALowBHighCLowDLowBlock3=sumALowBHighCLowDLowBlock3+y(i); % Sum of y's for low A, high B, low C and low D in Block 3
                                elseif Block(i)==4
                                    sumALowBHighCLowDLowBlock4=sumALowBHighCLowDLowBlock4+y(i); % Sum of y's for low A, high B, low C and low D in Block 4
                                elseif Block(i)==5
                                    sumALowBHighCLowDLowBlock5=sumALowBHighCLowDLowBlock5+y(i); % Sum of y's for low A, high B, low C and low D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCLowDLowELowBlock1=sumALowBHighCLowDLowELowBlock1+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCLowDLowELowBlock2=sumALowBHighCLowDLowELowBlock2+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCLowDLowELowBlock3=sumALowBHighCLowDLowELowBlock3+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCLowDLowELowBlock4=sumALowBHighCLowDLowELowBlock4+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCLowDLowELowBlock5=sumALowBHighCLowDLowELowBlock5+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCLowDLowEHighBlock1=sumALowBHighCLowDLowEHighBlock1+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCLowDLowEHighBlock2=sumALowBHighCLowDLowEHighBlock2+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCLowDLowEHighBlock3=sumALowBHighCLowDLowEHighBlock3+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCLowDLowEHighBlock4=sumALowBHighCLowDLowEHighBlock4+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCLowDLowEHighBlock5=sumALowBHighCLowDLowEHighBlock5+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 5
                                    end
                                end
                            end
                        elseif D(i)==1
                            if numFactors==4
                                if Block(i)==1
                                    sumALowBHighCLowDHighBlock1=sumALowBHighCLowDHighBlock1+y(i); % Sum of y's for low A, high B, low C and high D in Block 1
                                elseif Block(i)==2
                                    sumALowBHighCLowDHighBlock2=sumALowBHighCLowDHighBlock2+y(i); % Sum of y's for low A, high B, low C and high D in Block 2
                                elseif Block(i)==3
                                    sumALowBHighCLowDHighBlock3=sumALowBHighCLowDHighBlock3+y(i); % Sum of y's for low A, high B, low C and high D in Block 3
                                elseif Block(i)==4
                                    sumALowBHighCLowDHighBlock4=sumALowBHighCLowDHighBlock4+y(i); % Sum of y's for low A, high B, low C and high D in Block 4
                                elseif Block(i)==5
                                    sumALowBHighCLowDHighBlock5=sumALowBHighCLowDHighBlock5+y(i); % Sum of y's for low A, high B, low C and high D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCLowDHighELowBlock1=sumALowBHighCLowDHighELowBlock1+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCLowDHighELowBlock2=sumALowBHighCLowDHighELowBlock2+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCLowDHighELowBlock3=sumALowBHighCLowDHighELowBlock3+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCLowDHighELowBlock4=sumALowBHighCLowDHighELowBlock4+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCLowDHighELowBlock5=sumALowBHighCLowDHighELowBlock5+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCLowDHighEHighBlock1=sumALowBHighCLowDHighEHighBlock1+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCLowDHighEHighBlock2=sumALowBHighCLowDHighEHighBlock2+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCLowDHighEHighBlock3=sumALowBHighCLowDHighEHighBlock3+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCLowDHighEHighBlock4=sumALowBHighCLowDHighEHighBlock4+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCLowDHighEHighBlock5=sumALowBHighCLowDHighEHighBlock5+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 5
                                    end
                                end
                            end
                        end
                    elseif C(i)==1
                        if numFactors==3
                            if Block(i)==1
                                sumALowBHighCHighBlock1=sumALowBHighCHighBlock1+y(i); % Sum of y's for low A, high B and high C in Block 1
                            elseif Block(i)==2
                                sumALowBHighCHighBlock2=sumALowBHighCHighBlock2+y(i); % Sum of y's for low A, high B and high C in Block 2
                            elseif Block(i)==3
                                sumALowBHighCHighBlock3=sumALowBHighCHighBlock3+y(i); % Sum of y's for low A, high B and high C in Block 3
                            elseif Block(i)==4
                                sumALowBHighCHighBlock4=sumALowBHighCHighBlock4+y(i); % Sum of y's for low A, high B and high C in Block 4
                            elseif Block(i)==5
                                sumALowBHighCHighBlock5=sumALowBHighCHighBlock5+y(i); % Sum of y's for low A, high B and high C in Block 5
                            end
                        end
                        if D(i)==-1
                            if numFactors==4
                                if Block(i)==1
                                    sumALowBHighCHighDLowBlock1=sumALowBHighCHighDLowBlock1+y(i); % Sum of y's for low A, high B, high C and low D in Block 1
                                elseif Block(i)==2
                                    sumALowBHighCHighDLowBlock2=sumALowBHighCHighDLowBlock2+y(i); % Sum of y's for low A, high B, high C and low D in Block 2
                                elseif Block(i)==3
                                    sumALowBHighCHighDLowBlock3=sumALowBHighCHighDLowBlock3+y(i); % Sum of y's for low A, high B, high C and low D in Block 3
                                elseif Block(i)==4
                                    sumALowBHighCHighDLowBlock4=sumALowBHighCHighDLowBlock4+y(i); % Sum of y's for low A, high B, high C and low D in Block 4
                                elseif Block(i)==5
                                    sumALowBHighCHighDLowBlock5=sumALowBHighCHighDLowBlock5+y(i); % Sum of y's for low A, high B, high C and low D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCHighDLowELowBlock1=sumALowBHighCHighDLowELowBlock1+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCHighDLowELowBlock2=sumALowBHighCHighDLowELowBlock2+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCHighDLowELowBlock3=sumALowBHighCHighDLowELowBlock3+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCHighDLowELowBlock4=sumALowBHighCHighDLowELowBlock4+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCHighDLowELowBlock5=sumALowBHighCHighDLowELowBlock5+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCHighDLowEHighBlock1=sumALowBHighCHighDLowEHighBlock1+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCHighDLowEHighBlock2=sumALowBHighCHighDLowEHighBlock2+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCHighDLowEHighBlock3=sumALowBHighCHighDLowEHighBlock3+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCHighDLowEHighBlock4=sumALowBHighCHighDLowEHighBlock4+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCHighDLowEHighBlock5=sumALowBHighCHighDLowEHighBlock5+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 5
                                    end
                                end
                            end
                        elseif D(i)==1
                            if numFactors==4
                                if Block(i)==1
                                    sumALowBHighCHighDHighBlock1=sumALowBHighCHighDHighBlock1+y(i); % Sum of y's for low A, high B, high C and high D in Block 1
                                elseif Block(i)==2
                                    sumALowBHighCHighDHighBlock2=sumALowBHighCHighDHighBlock2+y(i); % Sum of y's for low A, high B, high C and high D in Block 2
                                elseif Block(i)==3
                                    sumALowBHighCHighDHighBlock3=sumALowBHighCHighDHighBlock3+y(i); % Sum of y's for low A, high B, high C and high D in Block 3
                                elseif Block(i)==4
                                    sumALowBHighCHighDHighBlock4=sumALowBHighCHighDHighBlock4+y(i); % Sum of y's for low A, high B, high C and high D in Block 4
                                elseif Block(i)==5
                                    sumALowBHighCHighDHighBlock5=sumALowBHighCHighDHighBlock5+y(i); % Sum of y's for low A, high B, high C and high D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCHighDHighELowBlock1=sumALowBHighCHighDHighELowBlock1+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCHighDHighELowBlock2=sumALowBHighCHighDHighELowBlock2+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCHighDHighELowBlock3=sumALowBHighCHighDHighELowBlock3+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCHighDHighELowBlock4=sumALowBHighCHighDHighELowBlock4+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCHighDHighELowBlock5=sumALowBHighCHighDHighELowBlock5+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumALowBHighCHighDHighEHighBlock1=sumALowBHighCHighDHighEHighBlock1+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 1
                                    elseif Block(i)==2
                                        sumALowBHighCHighDHighEHighBlock2=sumALowBHighCHighDHighEHighBlock2+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 2
                                    elseif Block(i)==3
                                        sumALowBHighCHighDHighEHighBlock3=sumALowBHighCHighDHighEHighBlock3+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 3
                                    elseif Block(i)==4
                                        sumALowBHighCHighDHighEHighBlock4=sumALowBHighCHighDHighEHighBlock4+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 4
                                    elseif Block(i)==5
                                        sumALowBHighCHighDHighEHighBlock5=sumALowBHighCHighDHighEHighBlock5+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 5
                                    end
                                end
                            end
                        end
                    end
                end
            end
            if numFactors>2
                if C(i)==-1
                    sumALowCLow=sumALowCLow+y(i); % Sum of y's for low A and low C
                elseif C(i)==1
                    sumALowCHigh=sumALowCHigh+y(i); % Sum of y's for low A and high C
                end
            end
            if numFactors>3
                if D(i)==-1
                    sumALowDLow=sumALowDLow+y(i); % Sum of y's for low A and low D
                elseif D(i)==1
                    sumALowDHigh=sumALowDHigh+y(i); % Sum of y's for low A and high D
                end
            end
            if numFactors>4
                if E(i)==-1
                    sumALowELow=sumALowELow+y(i); % Sum of y's for low A and low E
                elseif E(i)==1
                    sumALowEHigh=sumALowEHigh+y(i); % Sum of y's for low A and high E
                end
            end
            
        elseif A(i)==1
            sumAHigh=sumAHigh+y(i); % Sum of y's for high A
            if numFactors==1
                if Block(i)==1
                    sumAHighBlock1=sumAHighBlock1+y(i); % Sum of y's for high A in Block 1
                elseif Block(i)==2
                    sumAHighBlock2=sumAHighBlock2+y(i); % Sum of y's for high A in Block 2
                elseif Block(i)==3
                    sumAHighBlock3=sumAHighBlock3+y(i); % Sum of y's for high A in Block 3
                elseif Block(i)==4
                    sumAHighBlock4=sumAHighBlock4+y(i); % Sum of y's for high A in Block 4
                elseif Block(i)==5
                    sumAHighBlock5=sumAHighBlock5+y(i); % Sum of y's for high A in Block 5
                end
            end
            if numFactors>1
                if B(i)==-1
                    sumAHighBLow=sumAHighBLow+y(i); % Sum of y's for high A and low B
                    if numFactors==2
                        if Block(i)==1
                            sumAHighBLowBlock1=sumAHighBLowBlock1+y(i); % Sum of y's for high A and low B in Block 1
                        elseif Block(i)==2
                            sumAHighBLowBlock2=sumAHighBLowBlock2+y(i); % Sum of y's for high A and low B in Block 2
                        elseif Block(i)==3
                            sumAHighBLowBlock3=sumAHighBLowBlock3+y(i); % Sum of y's for high A and low B in Block 3
                        elseif Block(i)==4
                            sumAHighBLowBlock4=sumAHighBLowBlock4+y(i); % Sum of y's for high A and low B in Block 4
                        elseif Block(i)==5
                            sumAHighBLowBlock5=sumAHighBLowBlock5+y(i); % Sum of y's for high A and low B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBLowCLowBlock1=sumAHighBLowCLowBlock1+y(i); % Sum of y's for high A, low B and low C in Block 1
                                elseif Block(i)==2
                                    sumAHighBLowCLowBlock2=sumAHighBLowCLowBlock2+y(i); % Sum of y's for high A, low B and low C in Block 2
                                elseif Block(i)==3
                                    sumAHighBLowCLowBlock3=sumAHighBLowCLowBlock3+y(i); % Sum of y's for high A, low B and low C in Block 3
                                elseif Block(i)==4
                                    sumAHighBLowCLowBlock4=sumAHighBLowCLowBlock4+y(i); % Sum of y's for high A, low B and low C in Block 4
                                elseif Block(i)==5
                                    sumAHighBLowCLowBlock5=sumAHighBLowCLowBlock5+y(i); % Sum of y's for high A, low B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCLowDLowBlock1=sumAHighBLowCLowDLowBlock1+y(i); % Sum of y's for high A, low B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCLowDLowBlock2=sumAHighBLowCLowDLowBlock2+y(i); % Sum of y's for high A, low B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCLowDLowBlock3=sumAHighBLowCLowDLowBlock3+y(i); % Sum of y's for high A, low B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCLowDLowBlock4=sumAHighBLowCLowDLowBlock4+y(i); % Sum of y's for high A, low B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCLowDLowBlock5=sumAHighBLowCLowDLowBlock5+y(i); % Sum of y's for high A, low B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCLowDLowELowBlock1=sumAHighBLowCLowDLowELowBlock1+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCLowDLowELowBlock2=sumAHighBLowCLowDLowELowBlock2+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCLowDLowELowBlock3=sumAHighBLowCLowDLowELowBlock3+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCLowDLowELowBlock4=sumAHighBLowCLowDLowELowBlock4+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCLowDLowELowBlock5=sumAHighBLowCLowDLowELowBlock5+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCLowDLowEHighBlock1=sumAHighBLowCLowDLowEHighBlock1+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCLowDLowEHighBlock2=sumAHighBLowCLowDLowEHighBlock2+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCLowDLowEHighBlock3=sumAHighBLowCLowDLowEHighBlock3+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                     sumAHighBLowCLowDLowEHighBlock4=sumAHighBLowCLowDLowEHighBlock4+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                     sumAHighBLowCLowDLowEHighBlock5=sumAHighBLowCLowDLowEHighBlock5+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCLowDHighBlock1=sumAHighBLowCLowDHighBlock1+y(i); % Sum of y's for high A, low B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCLowDHighBlock2=sumAHighBLowCLowDHighBlock2+y(i); % Sum of y's for high A, low B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCLowDHighBlock3=sumAHighBLowCLowDHighBlock3+y(i); % Sum of y's for high A, low B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCLowDHighBlock4=sumAHighBLowCLowDHighBlock4+y(i); % Sum of y's for high A, low B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCLowDHighBlock5=sumAHighBLowCLowDHighBlock5+y(i); % Sum of y's for high A, low B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDHighELowBlock1=sumAHighBLowCLowDHighELowBlock1+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDHighELowBlock2=sumAHighBLowCLowDHighELowBlock2+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDHighELowBlock3=sumAHighBLowCLowDHighELowBlock3+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDHighELowBlock4=sumAHighBLowCLowDHighELowBlock4+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDHighELowBlock5=sumAHighBLowCLowDHighELowBlock5+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDHighEHighBlock1=sumAHighBLowCLowDHighEHighBlock1+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDHighEHighBlock2=sumAHighBLowCLowDHighEHighBlock2+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDHighEHighBlock3=sumAHighBLowCLowDHighEHighBlock3+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDHighEHighBlock4=sumAHighBLowCLowDHighEHighBlock4+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDHighEHighBlock5=sumAHighBLowCLowDHighEHighBlock5+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBLowCHighBlock1=sumAHighBLowCHighBlock1+y(i); % Sum of y's for high A, low B and high C in Block 1
                                elseif Block(i)==2
                                    sumAHighBLowCHighBlock2=sumAHighBLowCHighBlock2+y(i); % Sum of y's for high A, low B and high C in Block 2
                                elseif Block(i)==3
                                    sumAHighBLowCHighBlock3=sumAHighBLowCHighBlock3+y(i); % Sum of y's for high A, low B and high C in Block 3
                                elseif Block(i)==4
                                    sumAHighBLowCHighBlock4=sumAHighBLowCHighBlock4+y(i); % Sum of y's for high A, low B and high C in Block 4
                                elseif Block(i)==5
                                    sumAHighBLowCHighBlock5=sumAHighBLowCHighBlock5+y(i); % Sum of y's for high A, low B and high C in Block 5
                                end
                            end
                            if D(i)==-1
                                if numFactors==4
                                    if Block(i)==1
                                        sumAHighBLowCHighDLowBlock1=sumAHighBLowCHighDLowBlock1+y(i); % Sum of y's for high A, low B, high C and low D in Block 1
                                    elseif Block(i)==2
                                        sumAHighBLowCHighDLowBlock2=sumAHighBLowCHighDLowBlock2+y(i); % Sum of y's for high A, low B, high C and low D in Block 2
                                    elseif Block(i)==3
                                        sumAHighBLowCHighDLowBlock3=sumAHighBLowCHighDLowBlock3+y(i); % Sum of y's for high A, low B, high C and low D in Block 3
                                    elseif Block(i)==4
                                        sumAHighBLowCHighDLowBlock4=sumAHighBLowCHighDLowBlock4+y(i); % Sum of y's for high A, low B, high C and low D in Block 4
                                    elseif Block(i)==5
                                        sumAHighBLowCHighDLowBlock5=sumAHighBLowCHighDLowBlock5+y(i); % Sum of y's for high A, low B, high C and low D in Block 5
                                    end
                                end
                                if E(i)==-1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumAHighBLowCHighDLowELowBlock1=sumAHighBLowCHighDLowELowBlock1+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCHighDLowELowBlock2=sumAHighBLowCHighDLowELowBlock2+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCHighDLowELowBlock3=sumAHighBLowCHighDLowELowBlock3+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCHighDLowELowBlock4=sumAHighBLowCHighDLowELowBlock4+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCHighDLowELowBlock5=sumAHighBLowCHighDLowELowBlock5+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 5
                                        end
                                    end
                                elseif E(i)==1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumAHighBLowCHighDLowEHighBlock1=sumAHighBLowCHighDLowEHighBlock1+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCHighDLowEHighBlock2=sumAHighBLowCHighDLowEHighBlock2+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCHighDLowEHighBlock3=sumAHighBLowCHighDLowEHighBlock3+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCHighDLowEHighBlock4=sumAHighBLowCHighDLowEHighBlock4+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCHighDLowEHighBlock5=sumAHighBLowCHighDLowEHighBlock5+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 5
                                        end
                                    end
                                end
                            elseif D(i)==1
                                if numFactors==4
                                    if Block(i)==1
                                        sumAHighBLowCHighDHighBlock1=sumAHighBLowCHighDHighBlock1+y(i); % Sum of y's for high A, low B, high C and high D in Block 1
                                    elseif Block(i)==2
                                        sumAHighBLowCHighDHighBlock2=sumAHighBLowCHighDHighBlock2+y(i); % Sum of y's for high A, low B, high C and high D in Block 2
                                    elseif Block(i)==3
                                        sumAHighBLowCHighDHighBlock3=sumAHighBLowCHighDHighBlock3+y(i); % Sum of y's for high A, low B, high C and high D in Block 3
                                    elseif Block(i)==4
                                        sumAHighBLowCHighDHighBlock4=sumAHighBLowCHighDHighBlock4+y(i); % Sum of y's for high A, low B, high C and high D in Block 4
                                    elseif Block(i)==5
                                        sumAHighBLowCHighDHighBlock5=sumAHighBLowCHighDHighBlock5+y(i); % Sum of y's for high A, low B, high C and high D in Block 5
                                    end
                                end
                                if E(i)==-1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumAHighBLowCHighDHighELowBlock1=sumAHighBLowCHighDHighELowBlock1+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCHighDHighELowBlock2=sumAHighBLowCHighDHighELowBlock2+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCHighDHighELowBlock3=sumAHighBLowCHighDHighELowBlock3+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCHighDHighELowBlock4=sumAHighBLowCHighDHighELowBlock4+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCHighDHighELowBlock5=sumAHighBLowCHighDHighELowBlock5+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 5
                                        end
                                    end
                                elseif E(i)==1
                                    if numFactors==5
                                        if Block(i)==1
                                            sumAHighBLowCHighDHighEHighBlock1=sumAHighBLowCHighDHighEHighBlock1+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCHighDHighEHighBlock2=sumAHighBLowCHighDHighEHighBlock2+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCHighDHighEHighBlock3=sumAHighBLowCHighDHighEHighBlock3+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCHighDHighEHighBlock4=sumAHighBLowCHighDHighEHighBlock4+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCHighDHighEHighBlock5=sumAHighBLowCHighDHighEHighBlock5+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 5
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==1
                    sumAHighBHigh=sumAHighBHigh+y(i); % Sum of y's for high A and high B
                    if numFactors==2
                        if Block(i)==1
                            sumAHighBHighBlock1=sumAHighBHighBlock1+y(i); % Sum of y's for high A and high B in Block 1
                        elseif Block(i)==2
                            sumAHighBHighBlock2=sumAHighBHighBlock2+y(i); % Sum of y's for high A and high B in Block 2
                        elseif Block(i)==3
                            sumAHighBHighBlock3=sumAHighBHighBlock3+y(i); % Sum of y's for high A and high B in Block 3
                        elseif Block(i)==4
                            sumAHighBHighBlock4=sumAHighBHighBlock4+y(i); % Sum of y's for high A and high B in Block 4
                        elseif Block(i)==5
                            sumAHighBHighBlock5=sumAHighBHighBlock5+y(i); % Sum of y's for high A and high B in Block 5
                        end
                    end
                    if C(i)==-1
                        if numFactors==3
                            if Block(i)==1
                                sumAHighBHighCLowBlock1=sumAHighBHighCLowBlock1+y(i); % Sum of y's for high A, high B and low C in Block 1
                            elseif Block(i)==2
                                sumAHighBHighCLowBlock2=sumAHighBHighCLowBlock2+y(i); % Sum of y's for high A, high B and low C in Block 2
                            elseif Block(i)==3
                                sumAHighBHighCLowBlock3=sumAHighBHighCLowBlock3+y(i); % Sum of y's for high A, high B and low C in Block 3
                            elseif Block(i)==4
                                sumAHighBHighCLowBlock4=sumAHighBHighCLowBlock4+y(i); % Sum of y's for high A, high B and low C in Block 4
                            elseif Block(i)==5
                                sumAHighBHighCLowBlock5=sumAHighBHighCLowBlock5+y(i); % Sum of y's for high A, high B and low C in Block 5
                            end
                        end
                        if D(i)==-1
                            if numFactors==4
                                if Block(i)==1
                                    sumAHighBHighCLowDLowBlock1=sumAHighBHighCLowDLowBlock1+y(i); % Sum of y's for high A, high B, low C and low D in Block 1
                                elseif Block(i)==2
                                    sumAHighBHighCLowDLowBlock2=sumAHighBHighCLowDLowBlock2+y(i); % Sum of y's for high A, high B, low C and low D in Block 2
                                elseif Block(i)==3
                                    sumAHighBHighCLowDLowBlock3=sumAHighBHighCLowDLowBlock3+y(i); % Sum of y's for high A, high B, low C and low D in Block 3
                                elseif Block(i)==4
                                    sumAHighBHighCLowDLowBlock4=sumAHighBHighCLowDLowBlock4+y(i); % Sum of y's for high A, high B, low C and low D in Block 4
                                elseif Block(i)==5
                                    sumAHighBHighCLowDLowBlock5=sumAHighBHighCLowDLowBlock5+y(i); % Sum of y's for high A, high B, low C and low D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCLowDLowELowBlock1=sumAHighBHighCLowDLowELowBlock1+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCLowDLowELowBlock2=sumAHighBHighCLowDLowELowBlock2+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCLowDLowELowBlock3=sumAHighBHighCLowDLowELowBlock3+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCLowDLowELowBlock4=sumAHighBHighCLowDLowELowBlock4+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCLowDLowELowBlock5=sumAHighBHighCLowDLowELowBlock5+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCLowDLowEHighBlock1=sumAHighBHighCLowDLowEHighBlock1+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCLowDLowEHighBlock2=sumAHighBHighCLowDLowEHighBlock2+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCLowDLowEHighBlock3=sumAHighBHighCLowDLowEHighBlock3+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCLowDLowEHighBlock4=sumAHighBHighCLowDLowEHighBlock4+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCLowDLowEHighBlock5=sumAHighBHighCLowDLowEHighBlock5+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 5
                                    end
                                end
                            end
                        elseif D(i)==1
                            if numFactors==4
                                if Block(i)==1
                                    sumAHighBHighCLowDHighBlock1=sumAHighBHighCLowDHighBlock1+y(i); % Sum of y's for high A, high B, low C and high D in Block 1
                                elseif Block(i)==2
                                    sumAHighBHighCLowDHighBlock2=sumAHighBHighCLowDHighBlock2+y(i); % Sum of y's for high A, high B, low C and high D in Block 2
                                elseif Block(i)==3
                                    sumAHighBHighCLowDHighBlock3=sumAHighBHighCLowDHighBlock3+y(i); % Sum of y's for high A, high B, low C and high D in Block 3
                                elseif Block(i)==4
                                    sumAHighBHighCLowDHighBlock4=sumAHighBHighCLowDHighBlock4+y(i); % Sum of y's for high A, high B, low C and high D in Block 4
                                elseif Block(i)==5
                                    sumAHighBHighCLowDHighBlock5=sumAHighBHighCLowDHighBlock5+y(i); % Sum of y's for high A, high B, low C and high D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCLowDHighELowBlock1=sumAHighBHighCLowDHighELowBlock1+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCLowDHighELowBlock2=sumAHighBHighCLowDHighELowBlock2+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCLowDHighELowBlock3=sumAHighBHighCLowDHighELowBlock3+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCLowDHighELowBlock4=sumAHighBHighCLowDHighELowBlock4+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCLowDHighELowBlock5=sumAHighBHighCLowDHighELowBlock5+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCLowDHighEHighBlock1=sumAHighBHighCLowDHighEHighBlock1+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCLowDHighEHighBlock2=sumAHighBHighCLowDHighEHighBlock2+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCLowDHighEHighBlock3=sumAHighBHighCLowDHighEHighBlock3+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCLowDHighEHighBlock4=sumAHighBHighCLowDHighEHighBlock4+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCLowDHighEHighBlock5=sumAHighBHighCLowDHighEHighBlock5+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 5
                                    end
                                end
                            end
                        end
                    elseif C(i)==1
                        if numFactors==3
                            if Block(i)==1
                                sumAHighBHighCHighBlock1=sumAHighBHighCHighBlock1+y(i); % Sum of y's for high A, high B and high C in Block 1
                            elseif Block(i)==2
                                sumAHighBHighCHighBlock2=sumAHighBHighCHighBlock2+y(i); % Sum of y's for high A, high B and high C in Block 2
                            elseif Block(i)==3
                                sumAHighBHighCHighBlock3=sumAHighBHighCHighBlock3+y(i); % Sum of y's for high A, high B and high C in Block 3
                            elseif Block(i)==4
                                sumAHighBHighCHighBlock4=sumAHighBHighCHighBlock4+y(i); % Sum of y's for high A, high B and high C in Block 4
                            elseif Block(i)==5
                                sumAHighBHighCHighBlock5=sumAHighBHighCHighBlock5+y(i); % Sum of y's for high A, high B and high C in Block 5
                            end
                        end
                        if D(i)==-1
                            if numFactors==4
                                if Block(i)==1
                                    sumAHighBHighCHighDLowBlock1=sumAHighBHighCHighDLowBlock1+y(i); % Sum of y's for high A, high B, high C and low D in Block 1
                                elseif Block(i)==2
                                    sumAHighBHighCHighDLowBlock2=sumAHighBHighCHighDLowBlock2+y(i); % Sum of y's for high A, high B, high C and low D in Block 2
                                elseif Block(i)==3
                                    sumAHighBHighCHighDLowBlock3=sumAHighBHighCHighDLowBlock3+y(i); % Sum of y's for high A, high B, high C and low D in Block 3
                                elseif Block(i)==4
                                    sumAHighBHighCHighDLowBlock4=sumAHighBHighCHighDLowBlock4+y(i); % Sum of y's for high A, high B, high C and low D in Block 4
                                elseif Block(i)==5
                                    sumAHighBHighCHighDLowBlock5=sumAHighBHighCHighDLowBlock5+y(i); % Sum of y's for high A, high B, high C and low D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCHighDLowELowBlock1=sumAHighBHighCHighDLowELowBlock1+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCHighDLowELowBlock2=sumAHighBHighCHighDLowELowBlock2+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCHighDLowELowBlock3=sumAHighBHighCHighDLowELowBlock3+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCHighDLowELowBlock4=sumAHighBHighCHighDLowELowBlock4+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCHighDLowELowBlock5=sumAHighBHighCHighDLowELowBlock5+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCHighDLowEHighBlock1=sumAHighBHighCHighDLowEHighBlock1+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCHighDLowEHighBlock2=sumAHighBHighCHighDLowEHighBlock2+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCHighDLowEHighBlock3=sumAHighBHighCHighDLowEHighBlock3+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCHighDLowEHighBlock4=sumAHighBHighCHighDLowEHighBlock4+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCHighDLowEHighBlock5=sumAHighBHighCHighDLowEHighBlock5+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 5
                                    end
                                end
                            end
                        elseif D(i)==1
                            if numFactors==4
                                if Block(i)==1
                                    sumAHighBHighCHighDHighBlock1=sumAHighBHighCHighDHighBlock1+y(i); % Sum of y's for high A, high B, high C and high D in Block 1
                                elseif Block(i)==2
                                    sumAHighBHighCHighDHighBlock2=sumAHighBHighCHighDHighBlock2+y(i); % Sum of y's for high A, high B, high C and high D in Block 2
                                elseif Block(i)==3
                                    sumAHighBHighCHighDHighBlock3=sumAHighBHighCHighDHighBlock3+y(i); % Sum of y's for high A, high B, high C and high D in Block 3
                                elseif Block(i)==4
                                    sumAHighBHighCHighDHighBlock4=sumAHighBHighCHighDHighBlock4+y(i); % Sum of y's for high A, high B, high C and high D in Block 4
                                elseif Block(i)==5
                                    sumAHighBHighCHighDHighBlock5=sumAHighBHighCHighDHighBlock5+y(i); % Sum of y's for high A, high B, high C and high D in Block 5
                                end
                            end
                            if E(i)==-1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCHighDHighELowBlock1=sumAHighBHighCHighDHighELowBlock1+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCHighDHighELowBlock2=sumAHighBHighCHighDHighELowBlock2+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCHighDHighELowBlock3=sumAHighBHighCHighDHighELowBlock3+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCHighDHighELowBlock4=sumAHighBHighCHighDHighELowBlock4+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCHighDHighELowBlock5=sumAHighBHighCHighDHighELowBlock5+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 5
                                    end
                                end
                            elseif E(i)==1
                                if numFactors==5
                                    if Block(i)==1
                                        sumAHighBHighCHighDHighEHighBlock1=sumAHighBHighCHighDHighEHighBlock1+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 1
                                    elseif Block(i)==2
                                        sumAHighBHighCHighDHighEHighBlock2=sumAHighBHighCHighDHighEHighBlock2+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 2
                                    elseif Block(i)==3
                                        sumAHighBHighCHighDHighEHighBlock3=sumAHighBHighCHighDHighEHighBlock3+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 3
                                    elseif Block(i)==4
                                        sumAHighBHighCHighDHighEHighBlock4=sumAHighBHighCHighDHighEHighBlock4+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 4
                                    elseif Block(i)==5
                                        sumAHighBHighCHighDHighEHighBlock5=sumAHighBHighCHighDHighEHighBlock5+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 5
                                    end
                                end
                            end
                        end
                    end
                end
            end
            if numFactors>2
                if C(i)==-1
                    sumAHighCLow=sumAHighCLow+y(i); % Sum of y's for high A and low C
                elseif C(i)==1
                    sumAHighCHigh=sumAHighCHigh+y(i); % Sum of y's for high A and high C
                end
            end
            if numFactors>3
                if D(i)==-1
                    sumAHighDLow=sumAHighDLow+y(i); % Sum of y's for high A and low D
                elseif D(i)==1
                    sumAHighDHigh=sumAHighDHigh+y(i); % Sum of y's for high A and high D
                end
            end
            if numFactors>4
                if E(i)==-1
                    sumAHighELow=sumAHighELow+y(i); % Sum of y's for high A and low E
                elseif E(i)==1
                    sumAHighEHigh=sumAHighEHigh+y(i); % Sum of y's for high A and high E
                end
            end
        end
        if numFactors>1
            if B(i)==-1
                sumBLow=sumBLow+y(i); % Sum of y's for low B
                if numFactors>2
                    if C(i)==-1
                        sumBLowCLow=sumBLowCLow+y(i); % Sum of y's for low B and low C
                    elseif C(i)==1
                        sumBLowCHigh=sumBLowCHigh+y(i); % Sum of y's for low B and high C
                    end
                end
                if numFactors>3
                    if D(i)==-1
                        sumBLowDLow=sumBLowDLow+y(i); % Sum of y's for low B and low D
                    elseif D(i)==1
                        sumBLowDHigh=sumBLowDHigh+y(i); % Sum of y's for low B and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumBLowELow=sumBLowELow+y(i); % Sum of y's for low B and low E
                    elseif E(i)==1
                        sumBLowEHigh=sumBLowEHigh+y(i); % Sum of y's for low B and high E
                    end 
                end
            elseif B(i)==1
                sumBHigh=sumBHigh+y(i); % Sum of y's for high B
                if numFactors>2
                    if C(i)==-1
                        sumBHighCLow=sumBHighCLow+y(i); % Sum of y's for high B and low C
                    elseif C(i)==1
                        sumBHighCHigh=sumBHighCHigh+y(i); % Sum of y's for high B and high C
                    end
                end
                if numFactors>3
                    if D(i)==-1
                        sumBHighDLow=sumBHighDLow+y(i); % Sum of y's for high B and low D
                    elseif D(i)==1
                        sumBHighDHigh=sumBHighDHigh+y(i); % Sum of y's for high B and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumBHighELow=sumBHighELow+y(i); % Sum of y's for high B and low E
                    elseif E(i)==1
                        sumBHighEHigh=sumBHighEHigh+y(i); % Sum of y's for high B and high E
                    end
                end
            end
        end
        if numFactors>2
            if C(i)==-1
                sumCLow=sumCLow+y(i); % Sum of y's for low C
                if numFactors>3
                    if D(i)==-1
                        sumCLowDLow=sumCLowDLow+y(i); % Sum of y's for low C and low D
                    elseif D(i)==1
                        sumCLowDHigh=sumCLowDHigh+y(i); % Sum of y's for low C and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumCLowELow=sumCLowELow+y(i); % Sum of y's for low C and low E
                    elseif E(i)==1
                        sumCLowEHigh=sumCLowEHigh+y(i); % Sum of y's for low C and high E
                    end
                end
            elseif C(i)==1
                sumCHigh=sumCHigh+y(i); % Sum of y's for high C
                if numFactors>3
                    if D(i)==-1
                        sumCHighDLow=sumCHighDLow+y(i); % Sum of y's for high C and low D
                    elseif D(i)==1
                        sumCHighDHigh=sumCHighDHigh+y(i); % Sum of y's for high C and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumCHighELow=sumCHighELow+y(i); % Sum of y's for high C and low E
                    elseif E(i)==1
                        sumCHighEHigh=sumCHighEHigh+y(i); % Sum of y's for high C and high E
                    end
                end
            end
        end
        if numFactors>3
            if D(i)==-1
                sumDLow=sumDLow+y(i); % Sum of y's for low D
                if numFactors>4
                    if E(i)==-1
                        sumDLowELow=sumDLowELow+y(i); % Sum of y's for low D and low E
                    elseif E(i)==1
                        sumDLowEHigh=sumDLowEHigh+y(i); % Sum of y's for low D and high E
                    end
                end
            elseif D(i)==1
                sumDHigh=sumDHigh+y(i); % Sum of y's for high D
                if numFactors>4
                    if E(i)==-1
                        sumDHighELow=sumDHighELow+y(i); % Sum of y's for high D and low E
                    elseif E(i)==1
                        sumDHighEHigh=sumDHighEHigh+y(i); % Sum of y's for high D and high E
                    end
                end
            end
        end
        if numFactors>4
            if E(i)==-1
                sumELow=sumELow+y(i); % Sum of y's for low E
            elseif E(i)==1
                sumEHigh=sumEHigh+y(i); % Sum of y's for high E
            end
        end    

        if Block(i)==1
            sumBlock1=sumBlock1+y(i); % Sum of y's in block 1 
        elseif Block(i)==2
            sumBlock2=sumBlock2+y(i); % Sum of y's in block 2
        elseif Block(i)==3
            sumBlock3=sumBlock3+y(i); % Sum of y's in block 3
        elseif Block(i)==4
            sumBlock4=sumBlock4+y(i); % Sum of y's in block 4
        elseif Block(i)==5
            sumBlock5=sumBlock5+y(i); % Sum of y's in block 5
        end
   
    end

    ssA=(sumALow^2+sumAHigh^2)/(b*c*d*e*m*n) - avgGrandSS; % Sum of squares for A
    ssB=(sumBLow^2+sumBHigh^2)/(a*c*d*e*m*n) - avgGrandSS; % Sum of squares for B
    ssC=(sumCLow^2+sumCHigh^2)/(a*b*d*e*m*n) - avgGrandSS; % Sum of squares for C
    ssD=(sumDLow^2+sumDHigh^2)/(a*b*c*e*m*n) - avgGrandSS; % Sum of squares for D
    ssE=(sumELow^2+sumEHigh^2)/(a*b*c*d*m*n) - avgGrandSS; % Sum of squares for E

    ssAB=(sumALowBLow^2+sumALowBHigh^2+sumAHighBLow^2+sumAHighBHigh^2)/(c*d*e*m*n)...
        - avgGrandSS - ssA - ssB; % Sum of squares for AB
    ssAC=(sumALowCLow^2+sumALowCHigh^2+sumAHighCLow^2+sumAHighCHigh^2)/(b*d*e*m*n)...
        - avgGrandSS - ssA - ssC; % Sum of squares for AC
    ssAD=(sumALowDLow^2+sumALowDHigh^2+sumAHighDLow^2+sumAHighDHigh^2)/(b*c*e*m*n)...
        - avgGrandSS - ssA - ssD; % Sum of squares for AD
    ssAE=(sumALowELow^2+sumALowEHigh^2+sumAHighELow^2+sumAHighEHigh^2)/(b*c*d*m*n)...
        - avgGrandSS - ssA - ssE; % Sum of squares for AE
    ssBC=(sumBLowCLow^2+sumBLowCHigh^2+sumBHighCLow^2+sumBHighCHigh^2)/(a*d*e*m*n)...
        - avgGrandSS - ssB - ssC; % Sum of squares for BC
    ssBD=(sumBLowDLow^2+sumBLowDHigh^2+sumBHighDLow^2+sumBHighDHigh^2)/(a*c*e*m*n)...
        - avgGrandSS - ssB - ssD; % Sum of squares for BD
    ssBE=(sumBLowELow^2+sumBLowEHigh^2+sumBHighELow^2+sumBHighEHigh^2)/(a*c*d*m*n)...
        - avgGrandSS - ssB - ssE; % Sum of squares for BE
    ssCD=(sumCLowDLow^2+sumCLowDHigh^2+sumCHighDLow^2+sumCHighDHigh^2)/(a*b*e*m*n)...
        - avgGrandSS - ssC - ssD; % Sum of squares for CD
    ssCE=(sumCLowELow^2+sumCLowEHigh^2+sumCHighELow^2+sumCHighEHigh^2)/(a*b*d*m*n)...
        - avgGrandSS - ssC - ssE; % Sum of squares for CE
    ssDE=(sumDLowELow^2+sumDLowEHigh^2+sumDHighELow^2+sumDHighEHigh^2)/(a*b*c*m*n)...
        - avgGrandSS - ssD - ssE; % Sum of squares for DE

    ssBlocks=(sumBlock1^2+sumBlock2^2+sumBlock3^2+sumBlock4^2+sumBlock5^2)/(a*b*c*d*e*n)...
        - avgGrandSS; % Sum of squares for blocks

    ssTotal=(sumALowBlock1^2+sumALowBlock2^2+sumALowBlock3^2+...
        sumALowBlock4^2+sumALowBlock5^2+sumAHighBlock1^2+...
        sumAHighBlock2^2+sumAHighBlock3^2+sumAHighBlock4^2+...
        sumAHighBlock5^2+sumALowBLowBlock1^2+sumALowBLowBlock2^2+...
        sumALowBLowBlock3^2+sumALowBLowBlock4^2+sumALowBLowBlock5^2+...
        sumALowBHighBlock1^2+sumALowBHighBlock2^2+sumALowBHighBlock3^2+...
        sumALowBHighBlock4^2+sumALowBHighBlock5^2+sumAHighBLowBlock1^2+...
        sumAHighBLowBlock2^2+sumAHighBLowBlock3^2+sumAHighBLowBlock4^2+...
        sumAHighBLowBlock5^2+sumAHighBHighBlock1^2+sumAHighBHighBlock2^2+...
        sumAHighBHighBlock3^2+sumAHighBHighBlock4^2+sumAHighBHighBlock5^2+...
        sumALowBLowCLowBlock1^2+sumALowBLowCLowBlock2^2+...
        sumALowBLowCLowBlock3^2+sumALowBLowCLowBlock4^2+...
        sumALowBLowCLowBlock5^2+sumALowBLowCHighBlock1^2+...
        sumALowBLowCHighBlock2^2+sumALowBLowCHighBlock3^2+...
        sumALowBLowCHighBlock4^2+sumALowBLowCHighBlock5^2+...
        sumALowBHighCLowBlock1^2+sumALowBHighCLowBlock2^2+...
        sumALowBHighCLowBlock3^2+sumALowBHighCLowBlock4^2+...
        sumALowBHighCLowBlock5^2+sumALowBHighCHighBlock1^2+...
        sumALowBHighCHighBlock2^2+sumALowBHighCHighBlock3^2+...
        sumALowBHighCHighBlock4^2+sumALowBHighCHighBlock5^2+...
        sumAHighBLowCLowBlock1^2+sumAHighBLowCLowBlock2^2+...
        sumAHighBLowCLowBlock3^2+sumAHighBLowCLowBlock4^2+...
        sumAHighBLowCLowBlock5^2+sumAHighBLowCHighBlock1^2+...
        sumAHighBLowCHighBlock2^2+sumAHighBLowCHighBlock3^2+...
        sumAHighBLowCHighBlock4^2+sumAHighBLowCHighBlock5^2+...
        sumAHighBHighCLowBlock1^2+sumAHighBHighCLowBlock2^2+...
        sumAHighBHighCLowBlock3^2+sumAHighBHighCLowBlock4^2+...
        sumAHighBHighCLowBlock5^2+sumAHighBHighCHighBlock1^2+...
        sumAHighBHighCHighBlock2^2+sumAHighBHighCHighBlock3^2+...
        sumAHighBHighCHighBlock4^2+sumAHighBHighCHighBlock5^2+...
        sumALowBLowCLowDLowBlock1^2+sumALowBLowCLowDLowBlock2^2+...
        sumALowBLowCLowDLowBlock3^2+sumALowBLowCLowDLowBlock4^2+...
        sumALowBLowCLowDLowBlock5^2+sumALowBLowCLowDHighBlock1^2+...
        sumALowBLowCLowDHighBlock2^2+sumALowBLowCLowDHighBlock3^2+...
        sumALowBLowCLowDHighBlock4^2+sumALowBLowCLowDHighBlock5^2+...
        sumALowBLowCHighDLowBlock1^2+sumALowBLowCHighDLowBlock2^2+...
        sumALowBLowCHighDLowBlock3^2+sumALowBLowCHighDLowBlock4^2+...
        sumALowBLowCHighDLowBlock5^2+sumALowBLowCHighDHighBlock1^2+...
        sumALowBLowCHighDHighBlock2^2+sumALowBLowCHighDHighBlock3^2+...
        sumALowBLowCHighDHighBlock4^2+sumALowBLowCHighDHighBlock5^2+...
        sumALowBHighCLowDLowBlock1^2+sumALowBHighCLowDLowBlock2^2+...
        sumALowBHighCLowDLowBlock3^2+sumALowBHighCLowDLowBlock4^2+...
        sumALowBHighCLowDLowBlock5^2+sumALowBHighCLowDHighBlock1^2+...
        sumALowBHighCLowDHighBlock2^2+sumALowBHighCLowDHighBlock3^2+...
        sumALowBHighCLowDHighBlock4^2+sumALowBHighCLowDHighBlock5^2+...
        sumALowBHighCHighDLowBlock1^2+sumALowBHighCHighDLowBlock2^2+...
        sumALowBHighCHighDLowBlock3^2+sumALowBHighCHighDLowBlock4^2+...
        sumALowBHighCHighDLowBlock5^2+sumALowBHighCHighDHighBlock1^2+...
        sumALowBHighCHighDHighBlock2^2+sumALowBHighCHighDHighBlock3^2+...
        sumALowBHighCHighDHighBlock4^2+sumALowBHighCHighDHighBlock5^2+...
        sumAHighBLowCLowDLowBlock1^2+sumAHighBLowCLowDLowBlock2^2+...
        sumAHighBLowCLowDLowBlock3^2+sumAHighBLowCLowDLowBlock4^2+...
        sumAHighBLowCLowDLowBlock5^2+sumAHighBLowCLowDHighBlock1^2+...
        sumAHighBLowCLowDHighBlock2^2+sumAHighBLowCLowDHighBlock3^2+...
        sumAHighBLowCLowDHighBlock4^2+sumAHighBLowCLowDHighBlock5^2+...
        sumAHighBLowCHighDLowBlock1^2+sumAHighBLowCHighDLowBlock2^2+...
        sumAHighBLowCHighDLowBlock3^2+sumAHighBLowCHighDLowBlock4^2+...
        sumAHighBLowCHighDLowBlock5^2+sumAHighBLowCHighDHighBlock1^2+...
        sumAHighBLowCHighDHighBlock2^2+sumAHighBLowCHighDHighBlock3^2+...
        sumAHighBLowCHighDHighBlock4^2+sumAHighBLowCHighDHighBlock5^2+...
        sumAHighBHighCLowDLowBlock1^2+sumAHighBHighCLowDLowBlock2^2+...
        sumAHighBHighCLowDLowBlock3^2+sumAHighBHighCLowDLowBlock4^2+...
        sumAHighBHighCLowDLowBlock5^2+sumAHighBHighCLowDHighBlock1^2+...
        sumAHighBHighCLowDHighBlock2^2+sumAHighBHighCLowDHighBlock3^2+...
        sumAHighBHighCLowDHighBlock4^2+sumAHighBHighCLowDHighBlock5^2+...
        sumAHighBHighCHighDLowBlock1^2+sumAHighBHighCHighDLowBlock2^2+...
        sumAHighBHighCHighDLowBlock3^2+sumAHighBHighCHighDLowBlock4^2+...
        sumAHighBHighCHighDLowBlock5^2+sumAHighBHighCHighDHighBlock1^2+...
        sumAHighBHighCHighDHighBlock2^2+sumAHighBHighCHighDHighBlock3^2+...
        sumAHighBHighCHighDHighBlock4^2+sumAHighBHighCHighDHighBlock5^2+...
        sumALowBLowCLowDLowELowBlock1^2+sumALowBLowCLowDLowELowBlock2^2+...
        sumALowBLowCLowDLowELowBlock3^2+sumALowBLowCLowDLowELowBlock4^2+...
        sumALowBLowCLowDLowELowBlock5^2+sumALowBLowCLowDLowEHighBlock1^2+...
        sumALowBLowCLowDLowEHighBlock2^2+sumALowBLowCLowDLowEHighBlock3^2+...
        sumALowBLowCLowDLowEHighBlock4^2+sumALowBLowCLowDLowEHighBlock5^2+...
        sumALowBLowCLowDHighELowBlock1^2+sumALowBLowCLowDHighELowBlock2^2+...
        sumALowBLowCLowDHighELowBlock3^2+sumALowBLowCLowDHighELowBlock4^2+...
        sumALowBLowCLowDHighELowBlock5^2+sumALowBLowCLowDHighEHighBlock1^2+...
        sumALowBLowCLowDHighEHighBlock2^2+sumALowBLowCLowDHighEHighBlock3^2+...
        sumALowBLowCLowDHighEHighBlock4^2+sumALowBLowCLowDHighEHighBlock5^2+...
        sumALowBLowCHighDLowELowBlock1^2+sumALowBLowCHighDLowELowBlock2^2+...
        sumALowBLowCHighDLowELowBlock3^2+sumALowBLowCHighDLowELowBlock4^2+...
        sumALowBLowCHighDLowELowBlock5^2+sumALowBLowCHighDLowEHighBlock1^2+...
        sumALowBLowCHighDLowEHighBlock2^2+sumALowBLowCHighDLowEHighBlock3^2+...
        sumALowBLowCHighDLowEHighBlock4^2+sumALowBLowCHighDLowEHighBlock5^2+...
        sumALowBLowCHighDHighELowBlock1^2+sumALowBLowCHighDHighELowBlock2^2+...
        sumALowBLowCHighDHighELowBlock3^2+sumALowBLowCHighDHighELowBlock4^2+...
        sumALowBLowCHighDHighELowBlock5^2+sumALowBLowCHighDHighEHighBlock1^2+...
        sumALowBLowCHighDHighEHighBlock2^2+sumALowBLowCHighDHighEHighBlock3^2+...
        sumALowBLowCHighDHighEHighBlock4^2+sumALowBLowCHighDHighEHighBlock5^2+...
        sumALowBHighCLowDLowELowBlock1^2+sumALowBHighCLowDLowELowBlock2^2+...
        sumALowBHighCLowDLowELowBlock3^2+sumALowBHighCLowDLowELowBlock4^2+...
        sumALowBHighCLowDLowELowBlock5^2+sumALowBHighCLowDLowEHighBlock1^2+...
        sumALowBHighCLowDLowEHighBlock2^2+sumALowBHighCLowDLowEHighBlock3^2+...
        sumALowBHighCLowDLowEHighBlock4^2+sumALowBHighCLowDLowEHighBlock5^2+...
        sumALowBHighCLowDHighELowBlock1^2+sumALowBHighCLowDHighELowBlock2^2+...
        sumALowBHighCLowDHighELowBlock3^2+sumALowBHighCLowDHighELowBlock4^2+...
        sumALowBHighCLowDHighELowBlock5^2+sumALowBHighCLowDHighEHighBlock1^2+...
        sumALowBHighCLowDHighEHighBlock2^2+sumALowBHighCLowDHighEHighBlock3^2+...
        sumALowBHighCLowDHighEHighBlock4^2+sumALowBHighCLowDHighEHighBlock5^2+...
        sumALowBHighCHighDLowELowBlock1^2+sumALowBHighCHighDLowELowBlock2^2+...
        sumALowBHighCHighDLowELowBlock3^2+sumALowBHighCHighDLowELowBlock4^2+...
        sumALowBHighCHighDLowELowBlock5^2+sumALowBHighCHighDLowEHighBlock1^2+...
        sumALowBHighCHighDLowEHighBlock2^2+sumALowBHighCHighDLowEHighBlock3^2+...
        sumALowBHighCHighDLowEHighBlock4^2+sumALowBHighCHighDLowEHighBlock5^2+...
        sumALowBHighCHighDHighELowBlock1^2+sumALowBHighCHighDHighELowBlock2^2+...
        sumALowBHighCHighDHighELowBlock3^2+sumALowBHighCHighDHighELowBlock4^2+...
        sumALowBHighCHighDHighELowBlock5^2+sumALowBHighCHighDHighEHighBlock1^2+...
        sumALowBHighCHighDHighEHighBlock2^2+sumALowBHighCHighDHighEHighBlock3^2+...
        sumALowBHighCHighDHighEHighBlock4^2+sumALowBHighCHighDHighEHighBlock5^2+...
        sumAHighBLowCLowDLowELowBlock1^2+sumAHighBLowCLowDLowELowBlock2^2+...
        sumAHighBLowCLowDLowELowBlock3^2+sumAHighBLowCLowDLowELowBlock4^2+...
        sumAHighBLowCLowDLowELowBlock5^2+sumAHighBLowCLowDLowEHighBlock1^2+...
        sumAHighBLowCLowDLowEHighBlock2^2+sumAHighBLowCLowDLowEHighBlock3^2+...
        sumAHighBLowCLowDLowEHighBlock4^2+sumAHighBLowCLowDLowEHighBlock5^2+...
        sumAHighBLowCLowDHighELowBlock1^2+sumAHighBLowCLowDHighELowBlock2^2+...
        sumAHighBLowCLowDHighELowBlock3^2+sumAHighBLowCLowDHighELowBlock4^2+...
        sumAHighBLowCLowDHighELowBlock5^2+sumAHighBLowCLowDHighEHighBlock1^2+...
        sumAHighBLowCLowDHighEHighBlock2^2+sumAHighBLowCLowDHighEHighBlock3^2+...
        sumAHighBLowCLowDHighEHighBlock4^2+sumAHighBLowCLowDHighEHighBlock5^2+...
        sumAHighBLowCHighDLowELowBlock1^2+sumAHighBLowCHighDLowELowBlock2^2+...
        sumAHighBLowCHighDLowELowBlock3^2+sumAHighBLowCHighDLowELowBlock4^2+...
        sumAHighBLowCHighDLowELowBlock5^2+sumAHighBLowCHighDLowEHighBlock1^2+...
        sumAHighBLowCHighDLowEHighBlock2^2+sumAHighBLowCHighDLowEHighBlock3^2+...
        sumAHighBLowCHighDLowEHighBlock4^2+sumAHighBLowCHighDLowEHighBlock5^2+...
        sumAHighBLowCHighDHighELowBlock1^2+sumAHighBLowCHighDHighELowBlock2^2+...
        sumAHighBLowCHighDHighELowBlock3^2+sumAHighBLowCHighDHighELowBlock4^2+...
        sumAHighBLowCHighDHighELowBlock5^2+sumAHighBLowCHighDHighEHighBlock1^2+...
        sumAHighBLowCHighDHighEHighBlock2^2+sumAHighBLowCHighDHighEHighBlock3^2+...
        sumAHighBLowCHighDHighEHighBlock4^2+sumAHighBLowCHighDHighEHighBlock5^2+...
        sumAHighBHighCLowDLowELowBlock1^2+sumAHighBHighCLowDLowELowBlock2^2+...
        sumAHighBHighCLowDLowELowBlock3^2+sumAHighBHighCLowDLowELowBlock4^2+...
        sumAHighBHighCLowDLowELowBlock5^2+sumAHighBHighCLowDLowEHighBlock1^2+...
        sumAHighBHighCLowDLowEHighBlock2^2+sumAHighBHighCLowDLowEHighBlock3^2+...
        sumAHighBHighCLowDLowEHighBlock4^2+sumAHighBHighCLowDLowEHighBlock5^2+...
        sumAHighBHighCLowDHighELowBlock1^2+sumAHighBHighCLowDHighELowBlock2^2+...
        sumAHighBHighCLowDHighELowBlock3^2+sumAHighBHighCLowDHighELowBlock4^2+...
        sumAHighBHighCLowDHighELowBlock5^2+sumAHighBHighCLowDHighEHighBlock1^2+...
        sumAHighBHighCLowDHighEHighBlock2^2+sumAHighBHighCLowDHighEHighBlock3^2+...
        sumAHighBHighCLowDHighEHighBlock4^2+sumAHighBHighCLowDHighEHighBlock5^2+...
        sumAHighBHighCHighDLowELowBlock1^2+sumAHighBHighCHighDLowELowBlock2^2+...
        sumAHighBHighCHighDLowELowBlock3^2+sumAHighBHighCHighDLowELowBlock4^2+...
        sumAHighBHighCHighDLowELowBlock5^2+sumAHighBHighCHighDLowEHighBlock1^2+...
        sumAHighBHighCHighDLowEHighBlock2^2+sumAHighBHighCHighDLowEHighBlock3^2+...
        sumAHighBHighCHighDLowEHighBlock4^2+sumAHighBHighCHighDLowEHighBlock5^2+...
        sumAHighBHighCHighDHighELowBlock1^2+sumAHighBHighCHighDHighELowBlock2^2+...
        sumAHighBHighCHighDHighELowBlock3^2+sumAHighBHighCHighDHighELowBlock4^2+...
        sumAHighBHighCHighDHighELowBlock5^2+sumAHighBHighCHighDHighEHighBlock1^2+...
        sumAHighBHighCHighDHighEHighBlock2^2+sumAHighBHighCHighDHighEHighBlock3^2+...
        sumAHighBHighCHighDHighEHighBlock4^2+sumAHighBHighCHighDHighEHighBlock5^2)...
        - avgGrandSS; % Total sum of squares 
    
    if numFactors==1
        ssError=ssTotal-ssA-ssBlocks; % Error sum of squares
    elseif numFactors==2
        ssError=ssTotal-ssA-ssB-ssAB-ssBlocks; 
    elseif numFactors==3
        ssError=ssTotal-ssA-ssB-ssC-ssAB-ssAC-ssBC-ssBlocks; 
    elseif numFactors==4
        ssError=ssTotal-ssA-ssB-ssC-ssD-ssAB-ssAC-ssAD-ssBC-ssBD-ssCD-ssBlocks;
    elseif numFactors==5
        ssError=ssTotal-ssA-ssB-ssC-ssD-ssE-ssAB-ssAC-ssAD-ssAE-ssBC-ssBD-ssBE...
        -ssCD-ssCE-ssDE-ssBlocks;
    end
    
    dofA=a-1; dofB=b-1; dofC=c-1; dofD=d-1; dofE=e-1;
    dofAB=(a-1)*(b-1); dofAC=(a-1)*(c-1); dofAD=(a-1)*(d-1); dofAE=(a-1)*(e-1);
    dofBC=(b-1)*(c-1); dofBD=(b-1)*(d-1); dofBE=(b-1)*(e-1);
    dofCD=(c-1)*(d-1); dofCE=(c-1)*(e-1); dofDE=(d-1)*(e-1);
    dofBlocks=m-1;
    dofTotal=numRuns-1; 
    dofError=dofTotal-dofA-dofB-dofC-dofD-dofE-dofAB-dofAC-dofAD-dofAE...
        -dofBC-dofBD-dofBE-dofCD-dofCE-dofDE-dofBlocks;

    msA=ssA/dofA; msB=ssB/dofB; msC=ssC/dofC; msD=ssD/dofD; msE=ssE/dofE;
    msAB=ssAB/dofAB; msAC=ssAC/dofAC; msAD=ssAD/dofAD; msAE=ssAE/dofAE;
    msBC=ssBC/dofBC; msBD=ssBD/dofBD; msBE=ssBE/dofBE;
    msCD=ssCD/dofCD; msCE=ssCE/dofCE; msDE=ssDE/dofDE;
    msBlocks=ssBlocks/dofBlocks;
    msError=ssError/dofError; msTotal=ssTotal/dofTotal;

    fA=msA/msError; fB=msB/msError; fC=msC/msError; fD=msD/msError; fE=msE/msError;
    fAB=msAB/msError; fAC=msAC/msError; fAD=msAD/msError; fAE=msAE/msError;
    fBC=msBC/msError; fBD=msBD/msError; fBE=msBE/msError;
    fCD=msCD/msError; fCE=msCE/msError; fDE=msDE/msError;
    fBlocks=msBlocks/msError;
    
    UA=sqrt(ssA/dofTotal); UB=sqrt(ssB/dofTotal); UC=sqrt(ssC/dofTotal);
    UD=sqrt(ssD/dofTotal); UE=sqrt(ssE/dofTotal);
    UAB=sqrt(ssAB/dofTotal); UAC=sqrt(ssAC/dofTotal); 
    UAD=sqrt(ssAD/dofTotal); UAE=sqrt(ssAE/dofTotal);
    UBC=sqrt(ssBC/dofTotal); UBD=sqrt(ssBD/dofTotal); UBE=sqrt(ssBE/dofTotal);
    UCD=sqrt(ssCD/dofTotal); UCE=sqrt(ssCE/dofTotal); UDE=sqrt(ssDE/dofTotal);
    UBlocks=sqrt(ssBlocks/dofTotal); 
    UError=sqrt(ssError/dofTotal); UTotal=sqrt(msTotal);
    
    if numBlocks>1
        if numFactors==1
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                        'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                        'Error',ssError,dofError,msError,NaN,UError;...
                        'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==2
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==3
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==4
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==5
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'E',ssE,dofE,msE,fE,UE;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'AE',ssAE,dofAE,msAE,fAE,UAE;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'BE',ssBE,dofBE,msBE,fBE,UBE;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'CE',ssCE,dofCE,msCE,fCE,UCE;...
                    'DE',ssDE,dofDE,msDE,fDE,UDE;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        end
        
    elseif numBlocks==1
        if numFactors==2
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==3
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==4
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==5
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'E',ssE,dofE,msE,fE,UE;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'AE',ssAE,dofAE,msAE,fAE,UAE;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'BE',ssBE,dofBE,msBE,fBE,UBE;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'CE',ssCE,dofCE,msCE,fCE,UCE;...
                    'DE',ssDE,dofDE,msDE,fDE,UDE;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        end
    end

end